<?php 
include_once '../../conexao/index.php';
error_reporting(E_ALL);
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");


if (!isset($_POST['idProduto'], $_POST['mesa'])) {
    echo 40;
    exit;
}

$idProduto = $_POST['idProduto'];
$mesa = $_POST['mesa'];
$status = "Aberto";

$sql = "SELECT diaperiodo FROM periodo WHERE diaperiodo = ?";
$stmt = mysqli_prepare($db, $sql);
mysqli_stmt_bind_param($stmt, "s", $status);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt); // Obter o resultado da consulta

if ($result) {
    if(mysqli_num_rows($result) > 0) {
        $sql = "SELECT * FROM produto WHERE idproduto = ?";
        $stmt = mysqli_prepare($db, $sql);
        mysqli_stmt_bind_param($stmt, "i", $idProduto);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt); // Obter o resultado da consulta
        
        if ($result) {
            if(mysqli_num_rows($result) > 0) {
                $dados = mysqli_fetch_array($result);
                $stock = $dados['stock'];
                $preco = $dados['preco'];
                $iva = $dados['iva'];
                $id_catgeoria = $dados['id_catgeoria'];
        
                $sql = "SELECT * FROM pos_mesas_temp_artigos WHERE artigo = ? AND mesa = ?";
                $stmt = mysqli_prepare($db, $sql);
                mysqli_stmt_bind_param($stmt, "ii", $idProduto, $mesa);
                mysqli_stmt_execute($stmt);
                $result = mysqli_stmt_get_result($stmt);
        
                if ($result) {
                    if(mysqli_num_rows($result) > 0) {
                        $dados1 = mysqli_fetch_array($result);
                        $qtd = $dados1['qtd'];
                        if (($stock - $qtd) <= 0) {
                            echo 2;
                            exit;
                        } else {
                            $sql = "UPDATE pos_mesas_temp_artigos SET qtd = qtd + 1, total = qtd * preco, iva = total * ?, pronto = 1, entregue = 1, na_mesa = 1 WHERE artigo = ? AND mesa = ?";
                            $stmt = mysqli_prepare($db, $sql);
                            mysqli_stmt_bind_param($stmt, "dii", $iva,$idProduto, $mesa);
                            mysqli_stmt_execute($stmt);
                            if(mysqli_stmt_affected_rows($stmt) > 0) {
                                echo 3;
                                exit;
                            } else {
                                echo 31;
                                exit;
                            }
                        }
                    } else {
                        if ($stock <= 0) {
                            echo 2;
                            exit;
                        } else {
                            $qt = 1;
                            $totall = $preco * $iva;
                            $sql = "INSERT INTO pos_mesas_temp_artigos(artigo, qtd, preco, total, iva, mesa, na_mesa, cat_prod) VALUES ('$idProduto', '$qt', '$preco', '$preco', '$totall', '$mesa', 1, '$id_catgeoria')";
                            $stmt = mysqli_query($db, $sql);
                            if($stmt > 0) {
                                echo 3;
                                exit;
                            } else {
                                echo 31;
                                exit;
                            }
                        }
                    }
                } else {
                    echo "Erro ao executar consulta: " . mysqli_error($db);
                    exit;
                }
            } else {
                echo 10;
                exit;
            }
        } else {
            echo "Erro ao executar consulta: " . mysqli_error($db);
            exit;
        }
    }else{
        echo 1;
        exit;
    }
} else {
    echo "Erro ao executar consulta: " . mysqli_error($db);
    exit;
}


?>
